import java.awt.*;
import javax.swing.*;
import java.util.*;
import java.awt.event.*;

/**
 * Title:        spider - SpiderBox
 * Description:  Projekt zur Einfuehrung der Objektorientierten Programmierung
 * Copyright:    Copyright (c) 2021
 * Company:      mezdata
 * @author Oliver Mezger
 * @version 1.0
 */

public class SpiderBox extends JFrame {
  private MyPanel mPan = new MyPanel();
 
  public SpiderBox() {
    getContentPane().add(mPan);
    addWindowListener(new WindowAdapter(){  // Objekt soll beendet werden koennen
       public void windowClosing(WindowEvent e) {
         System.exit(0);
       }
    }); 
  }  
}

class MyPanel extends JPanel {
  private JLabel versi = new JLabel("Spider 1.0 (c) Oliver Mezger");
  private JButton exit = new JButton("Exit");
  private int ortX= 50,ortY=50;
  
  public MyPanel(){
    setBackground(Color.yellow);
    setLayout(new FlowLayout());
    add(versi);
    add(exit);
    exit.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(MouseEvent e) {
        System.exit(0);
      }
    });
    addMouseListener(new java.awt.event.MouseAdapter() {
      public void mousePressed(MouseEvent e) {
        canvas_mousePressed(e);
      }
    });
  }
  public void paintComponent(Graphics g)  {
    super.paintComponent(g);
    g.setColor(Color.green);
    g.fillOval(ortX-24, ortY-24, 48, 48);
  }  
  public void canvas_mousePressed(MouseEvent e) {
    ortX=e.getX();
    ortY=e.getY();
    repaint();
  }
}